<html>

<head>
    <title>{{ action }}</title>

    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/css/bootstrap.min.css"
        integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" crossorigin="anonymous">

    <style>
        .d-inline-block {
            display: inline-block;
        }

        .d-inline {
            display: inline;
        }

        .d-none {
            display: none;
        }

        .d-flex {
            display: flex;
        }

        .float-right {
            float: right
        }

        .password-dialog {
            position: absolute;
            width: 300px;
            height: 400px;
            background-color: #00000011;
            padding: 10px;
            border-radius: 10px;
            margin-top: -150px;
            margin-left: -150px;
            top: 50%;
            left: 50%;
        }

        .justify-content-center {
            justify-content: center;
        }

        .page {
            height: 100%;
        }

        .login-google {
            width: 60px;
            height: 60px;
            content: url('img/google/login/vector/btn_google_dark_normal_ios.svg');
        }

        .login-github {
            width: 45px;
            height: 45px;
            content: url('img/github/login/github-mark/github-mark.svg');
        }

        .login-gitlab {
            width: 60px;
            height: 60px;
            content: url('img/gitlab/gitlab-logo-500.svg');
        }

        .login-microsoft {
            width: 45px;
            height: 45px;
            content: url('img/microsoft/ms-symbollockup_mssymbol_19.svg');
        }

        span.text {
            background-color: #aae593b4;
            padding: 3px;
            border-radius: 5px;
            margin-bottom: 10px;
        }

        span.error {
            background-color: #f58080;
        }
    </style>
</head>

<body>
    <div class="d-inline-block password-dialog">
        <h1>{{ action[0] | upper }}{{ action[1:] }}</h1>

        {% if message %}
            <span class="text">{{ message }}</span>
        {% endif %}
        {% if error %}
            <span class="text error">{{ error }}</span>
        {% endif %}

        <form method="POST" action="/api/auth/{{ action }}">
            {% if action == 'register' %}
            <input type="hidden" name="invitation" id="invitation" value="{{ invitation }}">
            {% endif %}
            {% if node_id %}
            <input type="hidden" name="node_id" id="node_id" value="{{ node_id }}">
            {% endif %}
            <div class="form-group">
                <label for="username">Username</label>
                <input class="form-control" type="text" name="username" id="username">
            </div>
            <div class="form-group">
                <label for="password">Password</label>
                <input class="form-control" type="password" name="password" id="password">
            </div>
            <input class="btn btn-primary" type="submit" value="{{ action[0] | upper }}{{ action[1:] }}">
            <h3>Also {{ action }} with:</h3>
            <div>
                {% for backend in backends %}
                <a href="{{ backend.url }}">
                    <img class="login-{{ backend.type }}" />
                </a>
                {% endfor %}
            </div>
        </form>
    </div>
</body>

</html>
